Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.widgets
Class TypedListener

    java.lang.Object
      org.eclipse.swt.widgets.TypedListener

All Implemented Interfaces:
  Listener

public class TypedListener
extends java.lang.Object
implements Listener

Instances of this class are internal SWT implementation objects which provide a mapping between the typed and untyped listener mechanisms that SWT supports.

IMPORTANT: This class is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

See Also:
  `Listener`

Field Summary
`protected SWTEventListener` `eventListener` The receiver's event listener

Constructor Summary
`TypedListener(SWTEventListener listener)` Constructs a new instance of this class for the given event listener.

Method Summary
`SWTEventListener` `getEventListener()` Returns the receiver's event listener.
`void` `handleEvent(Event e)` Handles the given event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventListener

    protected SWTEventListener eventListener

  The receiver's event listener

Constructor Detail

### TypedListener

    public TypedListener(SWTEventListener listener)

  Constructs a new instance of this class for the given event listener.

  IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

Parameters:
  `listener` - the event listener to store in the receiver

Method Detail

### getEventListener

    public SWTEventListener getEventListener()

  Returns the receiver's event listener.

  IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

  Returns:
    the receiver's event listener

### handleEvent

    public void handleEvent(Event e)

  Handles the given event.

  IMPORTANT: This method is not part of the SWT public API. It is marked public only so that it can be shared within the packages provided by SWT. It should never be referenced from application code.

  Specified by:
    `handleEvent` in interface `Listener`
  Parameters:
    `e` - the event to handle

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.